---
title: Delete Logpush job
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Logpush](https://developers.cloudflare.com/api/python/resources/logpush)

[Jobs](https://developers.cloudflare.com/api/python/resources/logpush/subresources/jobs)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Logpush job

logpush.jobs.delete(intjob\_id, JobDeleteParams\*\*kwargs) -> [JobDeleteResponse](<https://developers.cloudflare.com/api/python/resources/logpush#(resource)%20logpush.jobs%20%3E%20(model)%20job_delete_response%20%3E%20(schema)>)

DELETE/{accounts\_or\_zones}/{account\_or\_zone\_id}/logpush/jobs/{job\_id}

Deletes a Logpush job.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Logs Write`

##### ParametersExpand Collapse

job\_id: int

Unique id of the job.

minimum1

[Link to this property](<#(resource)%20logpush.jobs%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20job_id%20%3E%20(schema)>)

account\_id: Optional\[str]

The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.

[Link to this property](<#(resource)%20logpush.jobs%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

zone\_id: Optional\[str]

The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.

[Link to this property](<#(resource)%20logpush.jobs%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class JobDeleteResponse: …

</summary>

id: Optional\[int]

Unique id of the job.

minimum1

<a href="#(resource)%20logpush.jobs%20%3E%20(model)%20job_delete_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20logpush.jobs%20%3E%20(model)%20job_delete_response%20%3E%20(schema)>)

### Delete Logpush job

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
job = client.logpush.jobs.delete(
    job_id=1,
    account_id="account_id",
)
print(job.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": 1
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": 1
  }
}
```